## org.apache.hadoop.metrics2.sink.ganglia
Enum AbstractGangliaSink.GangliaSlope

    java.lang.Object
      java.lang.Enum<AbstractGangliaSink.GangliaSlope>
          org.apache.hadoop.metrics2.sink.ganglia.AbstractGangliaSink.GangliaSlope

All Implemented Interfaces:
  Serializable, Comparable<AbstractGangliaSink.GangliaSlope>

Enclosing class:
  AbstractGangliaSink

    public static enum AbstractGangliaSink.GangliaSlope

extends Enum<AbstractGangliaSink.GangliaSlope>

ganglia slope values which equal the ordinal

Enum Constant Summary
`both`
`negative`
`positive`
`zero`

Method Summary
`static AbstractGangliaSink.GangliaSlope` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractGangliaSink.GangliaSlope[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### zero

    public static final AbstractGangliaSink.GangliaSlope zero

### positive

    public static final AbstractGangliaSink.GangliaSlope positive

### negative

    public static final AbstractGangliaSink.GangliaSlope negative

### both

    public static final AbstractGangliaSink.GangliaSlope both

Method Detail

### values

    public static AbstractGangliaSink.GangliaSlope[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractGangliaSink.GangliaSlope c : AbstractGangliaSink.GangliaSlope.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractGangliaSink.GangliaSlope valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2009 The Apache Software Foundation